package com.neusoft.smart.pos.framework.bean;

import com.neusoft.smart.pos.framework.constants.ApplicationConstants;
import lombok.Data;

/**
 * @author zcf
 * @time 2017年9月14日
 * @description 分页使用参数对象bean
 */
@Data
public class PageParam{
	
	private Integer offset;
	private Integer limit;
	private Integer total;
	private Integer pageNum;
	
	public PageParam(Integer pageNum){
		setLimit(ApplicationConstants.DEFAULT_PAGE_LIMIT);
		setPageNum(pageNum);
		setOffset();
	}
	
	public PageParam(Integer pageNum,Integer limit){
		setLimit(limit);
		setPageNum(pageNum);
		setOffset();
	}
	
	private void setOffset(){
		setOffset((getPageNum()-1)*limit);
	}
	
}
